### Method

# Pango.ScriptIter.get_range

#### Declaration [src]

    void
    pango_script_iter_get_range (
      PangoScriptIter* iter,
      const char** start,
      const char** end,
      PangoScript* script
    )

#### Description [src]

Gets information about the range to which `iter` currently points. The range is the set of locations p where start <= p < end. (That is, it doesn’t include the character stored at *end)

Note that while the type of the `script` argument is declared as PangoScript, as of Pango 1.18, this function simply returns GUnicodeScript values. Callers must be prepared to handle unknown values.

#### Parameters

`start` | `const char**`
| location to store start position of the range, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
| The string is a NUL terminated UTF-8 string
`end` | `const char**`
| location to store end position of the range, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
| The string is a NUL terminated UTF-8 string
`script` | `PangoScript`
| location to store script for range, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee